#!/bin/sh
###############################################################################
#                                                                             #
# run_halfStats.sh - Unix-style script to run halfStats                       #
#                  - Copyright Zach Karpinski                                 #
#                  - Distributed under the GPL terms - see the docs for info  #
#                  - http://www.halfstats.com                                 #
#                                                                             #
###############################################################################
# CVS $Id: run_halfStats.sh,v 1.4 2001/03/13 03:17:04 smccrory Exp $
###############################################################################

# This file is meant to ensure you are in the halfStats
# program directory before running the program (required).
# If you intend to put this in a crontab (crontab -e)
# Change the directory and the .cfg file to whatever your
# values are, and enter a line like this into your crontab:
# 0,30 * * * * /path/to/run_halfStats.sh

# Change me to wherever you have halfStats installed
cd /path/to/halfStats

# Change the .cfg to whatever you are using
./halfStats.pl dm.cfg reset nosave

# If you run more than one gametype (ie a DM anc CS server)
# Copy this file to "runDM.sh" and to "runCS.sh" and then
# set the appropriate .cfg values.
